org.apache.solr.util

## Enum PivotListEntry

- java.lang.Object
- - java.lang.Enum<PivotListEntry>
  - - org.apache.solr.util.PivotListEntry

- All Implemented Interfaces:
    Serializable, Comparable<PivotListEntry>

      public enum PivotListEntry
      extends Enum<PivotListEntry>

  Enum for modeling the elements of a (nested) pivot entry as expressed in a NamedList

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT`
    `FIELD`
    `PIVOT`
    `QUERIES`
    `RANGES`
    `STATS`
    `VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `extract(NamedList<Object> pivotList)` Given a `NamedList` representing a Pivot Value, extracts the Object which corrisponds to this `PivotListEntry`, or returns null if not found.
    `static PivotListEntry` | `get(String name)` Case-insensitive lookup of PivotListEntry by name
    `String` | `getName()` Name of this entry when used in response
    `static PivotListEntry` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PivotListEntry[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIELD

          public static final PivotListEntry FIELD

    - #### VALUE

          public static final PivotListEntry VALUE

    - #### COUNT

          public static final PivotListEntry COUNT

    - #### PIVOT

          public static final PivotListEntry PIVOT

    - #### STATS

          public static final PivotListEntry STATS

    - #### QUERIES

          public static final PivotListEntry QUERIES

    - #### RANGES

          public static final PivotListEntry RANGES

  - ### Method Detail

    - #### values

          public static PivotListEntry[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PivotListEntry c : PivotListEntry.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PivotListEntry valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static PivotListEntry get(String name)

      Case-insensitive lookup of PivotListEntry by name
      See Also:
        `getName()`

    - #### getName

          public String getName()

      Name of this entry when used in response
      See Also:
        `get(java.lang.String)`

    - #### extract

          public Object extract(NamedList<Object> pivotList)

      Given a `NamedList` representing a Pivot Value, extracts the Object which corrisponds to this `PivotListEntry`, or returns null if not found.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.